<!DOCTYPE html>
<html>
<head>
	<title>CSS Test: @page margins</title>
	<style>
		@page page1 {
			margin: 1cm 2cm 3cm 4cm;
			padding: 4cm 3cm 2cm 1cm;
		}

		@page page2 {
			margin-top: 1cm;
			margin-right: 2cm;
			margin-bottom: 3cm;
			margin-left: 4cm;
			padding-top: 4cm;
			padding-right: 3cm;
			padding-bottom: 2cm;
			padding-left: 1cm;
		}

		@page page3 {
			margin-block: 1cm 3cm;
			margin-inline: 2cm 4cm;
			padding-block: 4cm 2cm;
			padding-inline: 3cm 1cm;
		}

		body {
			background-color: lightblue;
		}

		.page1 {
			page: page1;
		}

		.page2 {
			page: page2;
		}

		.page3 {
			page: page3;
		}
	</style>
</head>
<body>
<div class="page1">The margins and padding on each page must be 5cm.</div>
<div class="page2"></div>
<div class="page3"></div>
</body>
</html>
